---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libresumethrdlst002.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3A7C, symSize: 0x270 }
  - { offsetInCU: 0xAC4, offset: 0xAC4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E658, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0xAEB, offset: 0xAEB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50598, symBinAddr: 0xE130, symSize: 0x0 }
  - { offsetInCU: 0xB0D, offset: 0xB0D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50980, symBinAddr: 0xE518, symSize: 0x0 }
  - { offsetInCU: 0xB2F, offset: 0xB2F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51920, symBinAddr: 0xF4B8, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51928, symBinAddr: 0xF4C0, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E2C8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E2CC, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E2D0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC1A, offset: 0xC1A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4E420, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC93, offset: 0xC93, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4E4D8, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCB1, offset: 0xCB1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4E4DC, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4E4E0, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4E4E4, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4E4E8, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92C2, offset: 0x92C2, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4E4F0, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934B, offset: 0x934B, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4E500, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9364, offset: 0x9364, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4E508, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x937D, offset: 0x937D, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4E510, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9396, offset: 0x9396, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4E518, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93AF, offset: 0x93AF, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4E520, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93C9, offset: 0x93C9, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4E528, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94AF, offset: 0x94AF, size: 0x8, addend: 0x0, symName: __ZL17eventsReceivedMtx, symObjAddr: 0x4E570, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94C8, offset: 0x94C8, size: 0x8, addend: 0x0, symName: __ZL12threadsCount, symObjAddr: 0x4E578, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x94E1, offset: 0x94E1, size: 0x8, addend: 0x0, symName: __ZL7threads, symObjAddr: 0x4E580, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94FA, offset: 0x94FA, size: 0x8, addend: 0x0, symName: __ZL14eventsReceived, symObjAddr: 0x4E588, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9513, offset: 0x9513, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4E590, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x958F, offset: 0x958F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2964, symSize: 0xA0 }
  - { offsetInCU: 0x9624, offset: 0x9624, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x293C, symSize: 0x28 }
  - { offsetInCU: 0x9687, offset: 0x9687, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x28BC, symSize: 0x80 }
  - { offsetInCU: 0x991B, offset: 0x991B, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2A04, symSize: 0x34 }
  - { offsetInCU: 0x9975, offset: 0x9975, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2A38, symSize: 0x20C }
  - { offsetInCU: 0x9B2E, offset: 0x9B2E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2C44, symSize: 0x28 }
  - { offsetInCU: 0x9BF7, offset: 0x9BF7, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2C6C, symSize: 0xB0 }
  - { offsetInCU: 0x9CEE, offset: 0x9CEE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2D1C, symSize: 0xD8 }
  - { offsetInCU: 0x9E3F, offset: 0x9E3F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2DF4, symSize: 0x24 }
  - { offsetInCU: 0x9F7A, offset: 0x9F7A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2E18, symSize: 0x168 }
  - { offsetInCU: 0xA156, offset: 0xA156, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2F80, symSize: 0x104 }
  - { offsetInCU: 0xA407, offset: 0xA407, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3084, symSize: 0x3F8 }
  - { offsetInCU: 0xA651, offset: 0xA651, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x347C, symSize: 0xDC }
  - { offsetInCU: 0xA6EF, offset: 0xA6EF, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3558, symSize: 0x154 }
  - { offsetInCU: 0xA8D3, offset: 0xA8D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x36AC, symSize: 0xAC }
  - { offsetInCU: 0xA9D4, offset: 0xA9D4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3758, symSize: 0x14 }
  - { offsetInCU: 0xAA0D, offset: 0xAA0D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x376C, symSize: 0x14 }
  - { offsetInCU: 0xAA46, offset: 0xAA46, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3780, symSize: 0x14 }
  - { offsetInCU: 0xABC3, offset: 0xABC3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3794, symSize: 0x1A8 }
  - { offsetInCU: 0xAECD, offset: 0xAECD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x393C, symSize: 0x140 }
  - { offsetInCU: 0xB06E, offset: 0xB06E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3CEC, symSize: 0x1C0 }
  - { offsetInCU: 0xB34B, offset: 0xB34B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3EAC, symSize: 0x9C }
  - { offsetInCU: 0xB408, offset: 0xB408, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3F48, symSize: 0x690 }
  - { offsetInCU: 0xBF9A, offset: 0xBF9A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E14, symBinAddr: 0x5E28, symSize: 0x30 }
  - { offsetInCU: 0xC026, offset: 0xC026, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x45D8, symSize: 0x74 }
  - { offsetInCU: 0xC0D6, offset: 0xC0D6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x464C, symSize: 0xB0 }
  - { offsetInCU: 0xC1E1, offset: 0xC1E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x46FC, symSize: 0x3C }
  - { offsetInCU: 0xC2D7, offset: 0xC2D7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4738, symSize: 0x29C }
  - { offsetInCU: 0xC61A, offset: 0xC61A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x49D4, symSize: 0xD0 }
  - { offsetInCU: 0xC748, offset: 0xC748, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4AA4, symSize: 0xC }
  - { offsetInCU: 0xC80A, offset: 0xC80A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4AB0, symSize: 0x22C }
  - { offsetInCU: 0xCAC5, offset: 0xCAC5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4CDC, symSize: 0x4 }
  - { offsetInCU: 0xCB09, offset: 0xCB09, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x4CDC, symSize: 0x4 }
  - { offsetInCU: 0xCB22, offset: 0xCB22, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x4CE0, symSize: 0x370 }
  - { offsetInCU: 0xCF37, offset: 0xCF37, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x903C, symBinAddr: 0x5050, symSize: 0x4 }
  - { offsetInCU: 0xCF7B, offset: 0xCF7B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x903C, symBinAddr: 0x5050, symSize: 0x4 }
  - { offsetInCU: 0xCFC0, offset: 0xCFC0, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0x9040, symBinAddr: 0x5054, symSize: 0x1A8 }
  - { offsetInCU: 0xD2EE, offset: 0xD2EE, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x91E8, symBinAddr: 0x51FC, symSize: 0xC2C }
  - { offsetInCU: 0xE027, offset: 0xE027, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E44, symBinAddr: 0x5E58, symSize: 0x358 }
...
